"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.angularTransformJS = angularTransformJS;
exports.angularTransformHTML = angularTransformHTML;
const html_validate_1 = require("html-validate");
const plugin_utils_1 = require("@html-validate/plugin-utils");
const attribute_1 = require("./attribute");
const element_1 = require("./element");
const utils_1 = require("./utils");
/* eslint-disable-next-line @typescript-eslint/no-require-imports -- want to import at runtime */
const pkg = require("../package.json");
/* warn when using unsupported html-validate library version */
const range = pkg.peerDependencies["html-validate"];
(0, html_validate_1.compatibilityCheck)(pkg.name, range);
function transform(source) {
    return Object.assign(Object.assign({}, source), { data: (0, utils_1.stripTemplating)(source.data), originalData: source.data, hooks: {
            processAttribute: attribute_1.processAttribute,
            processElement: element_1.processElement,
        } });
}
function angularTransformJS(source) {
    const te = plugin_utils_1.TemplateExtractor.fromString(source.data, source.filename);
    const sources = te.extractObjectProperty("template");
    return sources.map(transform);
}
function angularTransformHTML(source) {
    return [transform(source)];
}
angularTransformJS.api = 1;
angularTransformHTML.api = 1;
//# sourceMappingURL=transform.js.map