"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripTemplating = stripTemplating;
/**
 * Strip anything inside `{{ .. }}` in case it contains anything that looks like
 * markup, i.e. it will be ignored
 */
function stripTemplating(str) {
    /* eslint-disable-next-line sonarjs/slow-regex -- technical debt, should refactor */
    return str.replace(/{{(.*?)}}/g, (_, m) => {
        const filler = " ".repeat(m.length);
        return `{{${filler}}}`;
    });
}
//# sourceMappingURL=strip-templating.js.map